function laba4
    M = 60;
    N = 12;
    L = 8;
    Delta = L - 1; % 7
    
    x = floor(rand(1,M)*10)
    h = floor(rand(1,L)*10)

    mx = mod(M,(N - Delta)); % 0
    x = [x zeros(1,N-mx)]'; % size: 72

    h = [h zeros(1,N-L)]';
    H = fft(h);

    conv_long = [];
    for i=1:N-Delta:M
        Xn = x(i:i+N-1);
        X = fft(Xn);
        XH = H.*X;
        yi = ifft(XH);
        conv_long = [conv_long;yi(L:end)];
    end

    conv_long = floor(conv_long')
    conv_true = conv(x,h)';
    conv_true = conv_true(L:end-2*L)
end